Bug 1236430 - Scalability issues with Construction Heuristics
Summary: Scalability issues with Construction Heuristics
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: OptaPlanner
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: ---
Assignee: Geoffrey De Smet
QA Contact: Jiri Locker
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-29 00:24 UTC by Bhupesh
Modified: 2020-03-27 19:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 19:07:23 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker BPMSPL-221 0 Major New Better Construction Heuristics for Vehicle Routing 2016-03-31 12:20:25 UTC

Description Bhupesh 2015-06-29 00:24:35 UTC
Description of problem:
The construction heuristics does not scale if the value range is high 10,000 or more.

Version-Release number of selected component (if applicable):
6.2

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Geoffrey De Smet 2015-06-29 08:26:48 UTC
IIRC, the customer wants a CH that finishes in seconds with 60k chained entities and drools score calculation.

I've recently fixed Nearby Selection on Construction Heuristics:
  https://issues.jboss.org/browse/PLANNER-359
but that in itself isn't enough: even though it finishes in seconds, the score quality hit is too high (because it takes longer for Local Search to make up for it than the time it saved).

However, if we add a new Construction Heuristic called Nearest Neighbour (and variants) to our algorithm arsenal, we can fulfil this request (because I've already helped another customer work around it this way):
https://issues.jboss.org/browse/PLANNER-380


Workaround: Implement a custom Construction Heuristic (with a custom phase, see docs) that basically does Nearest Neighbour.


Note You need to log in before you can comment on or make changes to this bug.